<div id="products">
	<h4>Προϊόντα</h4>
	<div>
		<select class="btn btn-default sort" style="padding: 5px 0px; margin-bottom: 10px">
			<option ng-selected="params.sort=='id|ASC'" ng-click="changeSort('id','ASC')">ID αύξουσα</option>
			<option ng-selected="params.sort=='id|DESC'" ng-click="changeSort('id','DESC')">ID φθίνουσα</option>
			<option ng-selected="params.sort=='name|ASC'" ng-click="changeSort('name','ASC')">Όνομα αύξουσα</option>
			<option ng-selected="params.sort=='name|DESC'" ng-click="changeSort('name','DESC')">Όνομα φθίνουσα</option>
		</select>
	</div>
	<div class="text-center">
		<ul class="pagination pagination-sm">
			<li class="page-item">
				<a class="page-link" href="" ng-click="changePage(params.page - 1)">
					<span class="glyphicon glyphicon-triangle-left">
				</a>
			</li>
			
			<li class="page-item" ng-show="params.page > 2"><a class="page-link" href="" ng-click="changePage(1)">{{1}}</a></li>
			<li class="page-item prev" ng-show="params.page > 3"><a class="page-link" href="">..</a></li>
			
			<li class="page-item prev" ng-show="params.page > 1"><a class="page-link" href="" ng-click="changePage(params.page - 1)">{{params.page - 1}}</a></li>
			<li class="page-item current active"><a class="page-link" href="" ng-click="changePage(params.page)">{{params.page}}</a></li>
			<li class="page-item next" ng-show="params.page < lastPage"><a class="page-link" href="" ng-click="changePage(params.page + 1)">{{params.page + 1}}</a></li>

			<li class="page-item prev" ng-show="params.page < lastPage - 2"><a class="page-link" href="">..</a></li>
			<li class="page-item" ng-show="params.page < lastPage - 1"><a class="page-link" href="" ng-click="changePage(lastPage)">{{lastPage}}</a></li>
			
			<li class="page-item">
				<a class="page-link" href="" ng-click="changePage(params.page + 1)">
					<span class="glyphicon glyphicon-triangle-right">
				</a>
			</li>
		</ul>
	</div>
	<button class="btn btn-default" ng-disabled="selectSet.size == products.length" ng-click="selectAll()">Επιλογή Όλων</button>
	<button class="btn btn-default" ng-disabled="selectSet.size == 0" ng-click="clearAll()">Καθαρισμός</button>
	<button class="btn btn-danger" ng-disabled="selectSet.size == 0" ng-click="deleteAll()">Διαγραφή</button>
	<button class="btn btn-info" ng-disabled="selectSet.size == 0" ng-click="editAll()">Επεξεργασία</button>
	<button class="btn btn-success" ng-disabled="selectSet.size == 0" ng-click="updateAll()">Ενημέρωση</button>
	<table class="table table-striped">
		<thead>
				<td>
						<div class="col-m left" style="--per: 5%"></div>
						<div class="col-m left" style="--per: 10%">ID</div>
						<div class="col-m center" style="--per: 20%">Όνομα</div>
						<div class="col-m center" style="--per: 20%">Κατηγορία</div>
						<div class="col-m center" style="--per: 10%">Withdrawn</div>
						<div class="col-m center" style="--per: 10%">Ποσότητα</div>
						<div class="col-m center" style="--per: 10%">Περιεκτικότητα</div>
						<div class="col-m center" style="--per: 10%">Barcode</div>
				</td>
			</thead>
		<tbody>
			<tr ng-repeat="product in products">
				<td>
					<div class="col-m center" style="--per: 5%"><input type="checkbox" ng-model="product.check" ng-change="changed(product)" ng-checked="product.check"></div>
					<div class="col-m center" style="--per: 10%"><span class="btn btn-link" ng-click="viewProduct(product.id)">{{product.id}}</div>
					<div class="col-m center" style="--per: 20%" ng-hide="product.edit">{{product.name}}</div>
					<div class="col-m center" style="--per: 20%" ng-show='product.edit'><input type="text" style="width:100%" ng-model="product.newName"></div>
					<div class="col-m center" style="--per: 20%" ng-hide="product.edit">{{product.category}}</div>
					<div class="col-m center" style="--per: 20%" ng-show='product.edit'><input type="text" style="width:100%" ng-model="product.newCategory"></div>
					<div class="col-m center" style="--per: 10%">{{product.withdrawn}}</div>
					<div class="col-m center" style="--per: 10%" ng-hide="product.edit">{{product.extraData.quantity_ml}}</div>
					<div class="col-m center" style="--per: 10%" ng-show='product.edit'><input type="number" style="width:100%" ng-model="product.newQuantity"></div>
					<div class="col-m center" style="--per: 10%" ng-hide="product.edit">{{product.extraData.alcohol}}</div>
					<div class="col-m center" style="--per: 10%" ng-show='product.edit'><input type="number" style="width:100%" ng-model="product.newAlcohol"></div>
					<div class="col-m center" style="--per: 10%" ng-hide="product.edit">{{product.extraData.barcode_id}}</div>
					<div class="col-m center" style="--per: 10%" ng-show='product.edit'><input type="number" min="100000000000" max="9999999999999" style="width:100%" ng-model="product.newBarcode"></div>
				</td>
			</tr>
		</tbody>
	</table>
	<div class="text-center">
		<ul class="pagination pagination-sm">
			<li class="page-item">
				<a class="page-link" href="" ng-click="changePage(params.page - 1)">
					<span class="glyphicon glyphicon-triangle-left">
				</a>
			</li>
			
			<li class="page-item" ng-show="params.page > 2"><a class="page-link" href="" ng-click="changePage(1)">{{1}}</a></li>
			<li class="page-item prev" ng-show="params.page > 3"><a class="page-link" href="">..</a></li>
			
			<li class="page-item prev" ng-show="params.page > 1"><a class="page-link" href="" ng-click="changePage(params.page - 1)">{{params.page - 1}}</a></li>
			<li class="page-item current active"><a class="page-link" href="" ng-click="changePage(params.page)">{{params.page}}</a></li>
			<li class="page-item next" ng-show="params.page < lastPage"><a class="page-link" href="" ng-click="changePage(params.page + 1)">{{params.page + 1}}</a></li>

			<li class="page-item prev" ng-show="params.page < lastPage - 2"><a class="page-link" href="">..</a></li>
			<li class="page-item" ng-show="params.page < lastPage - 1"><a class="page-link" href="" ng-click="changePage(lastPage)">{{lastPage}}</a></li>
			
			<li class="page-item">
				<a class="page-link" href="" ng-click="changePage(params.page + 1)">
					<span class="glyphicon glyphicon-triangle-right">
				</a>
			</li>
		</ul>
	</div>
</div>
